Skip to main content
GET
/
marketing
/
forms
/
2026-09-beta
Retrieve forms
curl --request GET \
  --url https://api.hubapi.com/marketing/forms/2026-09-beta \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "configuration": {
        "allowLinkToResetKnownValues": true,
        "archivable": true,
        "cloneable": true,
        "createNewContactForNewEmail": true,
        "editable": true,
        "language": "af",
        "lifecycleStages": [
          {
            "objectTypeId": "<string>",
            "value": "<string>"
          }
        ],
        "notifyContactOwner": true,
        "notifyRecipients": [
          "<string>"
        ],
        "postSubmitAction": {
          "type": "redirect_url",
          "value": "<string>"
        },
        "prePopulateKnownValues": true,
        "recaptchaEnabled": true,
        "embedType": "V3"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "displayOptions": {
        "renderRawHtml": true,
        "style": {
          "backgroundWidth": "<string>",
          "fontFamily": "<string>",
          "helpTextColor": "<string>",
          "helpTextSize": "<string>",
          "labelTextColor": "<string>",
          "labelTextSize": "<string>",
          "legalConsentTextColor": "<string>",
          "legalConsentTextSize": "<string>",
          "submitAlignment": "center",
          "submitColor": "<string>",
          "submitFontColor": "<string>",
          "submitSize": "<string>"
        },
        "submitButtonText": "<string>",
        "theme": "canvas",
        "cssClass": "<string>"
      },
      "fieldGroups": [
        {
          "fields": [
            {
              "dependentFields": [
                {
                  "dependentCondition": {
                    "operator": "between",
                    "rangeEnd": "<string>",
                    "rangeStart": "<string>",
                    "value": "<string>",
                    "values": [
                      "<string>"
                    ]
                  },
                  "dependentField": "<unknown>"
                }
              ],
              "fieldType": "email",
              "hidden": true,
              "label": "<string>",
              "name": "<string>",
              "objectTypeId": "<string>",
              "required": true,
              "validation": {
                "blockedEmailDomains": [
                  "<string>"
                ],
                "useDefaultBlockList": true
              },
              "defaultValue": "<string>",
              "description": "<string>",
              "placeholder": "<string>"
            }
          ],
          "groupType": "default_group",
          "richTextType": "image",
          "richText": "<string>"
        }
      ],
      "formType": "hubspot",
      "id": "<string>",
      "legalConsentOptions": {
        "type": "none"
      },
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

formTypes
enum<string>[]
Available options:
hubspot,
captured,
flow,
blog_comment,
all
limit
integer<int32>

The maximum number of results to display per page.

Response

successful operation

results
object[]
required

An array of form definitions, each represented by a HubSpotFormDefinition object.

paging
object
Last modified on April 13, 2026